unit Ekipman;
interface
  uses Crt,Graph;

  var
    i,j,r:Byte;
    Board:array[1..8,1..8] of Byte;
    procedure Tahta;
    procedure Menu;
    procedure B_Piyon(a,b:integer);
    procedure S_Piyon(a,b:integer);
    procedure B_Kale(a,b:integer);
    procedure S_Kale(a,b:integer);
    procedure B_At(a,b:integer);
    procedure S_At(a,b:integer);
    procedure B_Fil(a,b:integer);
    procedure S_Fil(a,b:integer);
    procedure B_Vezir(a,b:integer);
    procedure S_Vezir(a,b:integer);
    procedure B_Sah(a,b:integer);
    procedure S_Sah(a,b:integer);
    procedure P1_W1(f:byte);
    procedure P1_W2(f:byte);
    procedure P2_W1(f:byte);
    procedure P2_W2(f:byte);
    procedure Start;
    procedure Sil(a,b:Integer);
    procedure Firstly;
implementation
  procedure Tahta;
    const
    Koor:array[1..8] of Word=(21,75,130,185,240,295,350,405);
    s:array[1..8] of string[1]=('1','2','3','4','5','6','7','8');
    S1:array[1..8] of string[1]=('A','B','C','D','E','F','G','H');

    begin
      SetColor(0);
      Rectangle(20,20,460,460);
      SetColor(8);
      Rectangle(19,19,461,461);
      SetColor(7);
      Rectangle(18,18,462,462);
      SetColor(8);
      Rectangle(17,17,463,463);
      Setcolor(15);
      for i:=1 to 8 do
        begin
          if Odd(i) then r:=7 else r:=8;
          for j:=1 to 8 do
          begin
            if i=1 then OutTextXY(10,koor[j]+25,s[9-j]);
            if j=8 then
              begin
                OutTextXY(koor[i]+25,465,s1[i]);
                OutTextXY(koor[i]+25,7,s1[i]);
              end;
            if r=7 then r:=8 else r:=7;
            SetFillStyle(1,r);
            Bar(koor[i],koor[j],koor[i]+54,koor[j]+54);
          end;
        end;
    end;

procedure B_Piyon(a,b:Integer);
  begin
    SetColor(15);
    SetFillStyle(1,15);
    Sector(a,b+15,0,360,5,5);
    Sector(a,b+28,0,360,8,8);
    Sector(a,b+45,0,180,15,10);
   end;
procedure S_Piyon(a,b:Integer);
  begin
    SetColor(0);
    SetFillStyle(1,0);
    Sector(a,b+15,0,360,5,5);
    Sector(a,b+28,0,360,8,8);
    Sector(a,b+45,0,180,15,10);
   end;

procedure B_Kale(a,b:Integer);
  begin
    SetColor(15);
    SetFillStyle(1,15);
    Sector(a,b+45,0,180,15,10);
    Bar(a-8,b+20,a+8,b+38);
    Bar(a-11,b+14,a+11,b+20);
    Bar(a-11,b+11,a-8,b+14);
    Bar(a-2,b+11,a+2,b+14);
    Bar(a+8,b+11,a+11,b+14);
  end;
procedure S_Kale(a,b:Integer);
  begin
    SetColor(0);
    SetFillStyle(1,0);
    Sector(a,b+45,0,180,15,10);
    Bar(a-8,b+20,a+8,b+38);
    Bar(a-11,b+14,a+11,b+20);
    Bar(a-11,b+11,a-8,b+14);
    Bar(a-2,b+11,a+2,b+14);
    Bar(a+8,b+11,a+11,b+14);
  end;

procedure B_At(a,b:Integer);
     begin
       r:=GetPixel(a,b+47);
          SetColor(15);
          SetFillStyle(1,15);
          Sector(a-1,b+24,0,100,14,18);
          Sector(a,b+22,90,180,12,12);
          Sector(a,b+29,0,360,8,8);
          Sector(a,b+45,0,180,15,10);
          PutPixel(a-5,b+22,r);
          PutPixel(a-4,b+21,r);
          PutPixel(a-5,b+14,r);
          PutPixel(a-12,b+22,r);
     end;
procedure S_At(a,b:Integer);
     begin
       r:=GetPixel(a,b+47);
          SetColor(0);
          SetFillStyle(1,0);
          Sector(a-1,b+24,0,100,14,18);
          Sector(a,b+22,90,180,12,12);
          Sector(a,b+29,0,360,8,8);
          Sector(a,b+45,0,180,15,10);
          PutPixel(a-5,b+22,r);
          PutPixel(a-4,b+21,r);
          PutPixel(a-5,b+14,r);
          PutPixel(a-12,b+22,r);
     end;

procedure B_Fil(a,b:Integer);
  begin
   SetColor(15);
   SetFillStyle(1,15);
   PieSlice(a,b+6,240,300,14);
   Sector(a,b+27,0,360,8,8);
   Sector(a,b+45,0,180,15,10);
  end;
procedure S_Fil(a,b:Integer);
  begin
    SetColor(0);
    SetFillStyle(1,0);
    PieSlice(a,b+6,240,300,14);
    Sector(a,b+27,0,360,8,8);
    Sector(a,b+45,0,180,15,10);
  end;

procedure B_Vezir(a,b:Integer);
  begin
    SetColor(15);
    SetFillStyle(1,15);
    PieSlice(a-16,b+13,270,300,14);
    PieSlice(a,b+7,260,280,22);
    PieSlice(a+16,b+13,240,270,14);
    Sector(a,b+27,180,360,15,15);
    Sector(a,b+45,0,180,15,10);
  end;
procedure S_Vezir(a,b:Integer);
  begin
    SetColor(0);
    SetFillStyle(1,0);
    PieSlice(a-16,b+13,270,300,14);
    PieSlice(a,b+7,260,280,22);
    PieSlice(a+16,b+13,240,270,14);
    Sector(a,b+27,180,360,15,15);
    Sector(a,b+45,0,180,15,10);
  end;

procedure B_Sah(a,b:Integer);
  begin
    SetColor(15);
    SetFillStyle(1,15);
    PieSlice(a,b+8,250,290,18);
    Sector(a-7,b+28,0,360,10,10);
    Sector(a+7,b+28,0,360,10,10);
    Sector(a,b+45,0,180,15,10);
  end;
procedure S_Sah(a,b:Integer);
  begin
    SetColor(0);
    SetFillStyle(1,0);
    PieSlice(a,b+8,250,290,18);
    Sector(a-7,b+28,0,360,10,10);
    Sector(a+7,b+28,0,360,10,10);
    Sector(a,b+45,0,180,15,10);
  end;

procedure Menu;
  var
    Heading:string[20];
    M1,M2,M3,M4,M5,M6,M8,M9:string;
    M7:string[2];
  begin
    {sa men}
     SetColor(0);
     Rectangle(463,16,639,464);
     SetColor(8);
     Rectangle(464,17,638,463);
     SetColor(7);
     Rectangle(465,18,637,462);
     SetColor(8);
     Rectangle(466,19,636,461);
     SetColor(0);
     Rectangle(467,20,635,460);
     SetFillStyle(1,8);
     Bar(468,21,634,459);
     Heading:=('SATRANC v1.0 ');
     {1.oyuncu}
     M1:=('1.Oyuncu(Beyaz)');
     M2:=('Notasyon Giris:');
     M3:=('(E7->E5 seklinde)');
     M7:=('->');
     M8:=('cikis icin ilk pence');
     M9:=('reye "mt" yaziniz');
     OutTextXY(475,80,m1);
     OutTextXY(475,100,m2);
     OutTextXY(475,110,m3);
     OutTextXY(505,133,m7);
     OutTextXY(475,260,m8);
     OutTextXY(475,270,m9);

     {2.oyuncu}
     M4:=('2.Oyuncu(Siyah)');
     M5:=('Notasyon Giris:');
     M6:=('(E2-E4 seklinde)');
     OutTextXY(475,170,m4);
     OutTextXY(475,190,m5);
     OutTextXY(475,200,m6);
     OutTextXY(505,228,m7);
   end;

procedure P1_W1(f:Byte);
  begin
    SetColor(f);
    Rectangle(475,123,500,147);
    SetFillStyle(1,0);
    Bar(476,124,499,146);
  end;
procedure P1_W2(f:Byte);
  begin
    SetColor(f);
    Rectangle(524,123,549,147);
    SetFillStyle(1,0);
    Bar(525,124,548,146);
  end;
procedure P2_W1(f:Byte);
  begin
    SetColor(f);
    Rectangle(475,218,500,242);
    SetFillStyle(1,0);
    Bar(476,219,499,241);
  end;
procedure P2_W2(f:Byte);
  begin
    SetColor(f);
    Rectangle(524,218,549,242);
    SetFillStyle(1,0);
    Bar(525,219,548,241);
  end;
procedure Start;
  {oyun balarken ilk ta dizilimi}
  begin
  B_Piyon(47,75);B_Piyon(102,75);B_Piyon(157,75);B_Piyon(212,75);B_Piyon(267,75);
  B_Piyon(322,75);B_Piyon(377,75);B_Piyon(432,75);B_Kale(47,20);B_Kale(432,20);
  B_At(102,20);B_At(377,20);B_Fil(157,20);B_Fil(322,20);B_Vezir(212,20);B_Sah(267,20);
  S_Piyon(47,350);S_Piyon(102,350);S_Piyon(157,350);S_Piyon(212,350);S_Piyon(267,350);
  S_Piyon(322,350);S_Piyon(377,350);S_Piyon(432,350);S_Kale(47,405);S_Kale(432,405);
  S_At(102,405);S_At(377,405);S_Fil(157,405);S_Fil(322,405);S_Vezir(212,405);S_Sah(267,405);
  end;
procedure Sil(a,b:Integer);
  begin
    r:=GetPixel(a,b+47);
    SetFillStyle(1,r);
    Bar(a-26,b,a+27,b+54);
  end;
procedure Firstly;
  begin
  {Matrisi Sfrlama}
    for i:=1 to 8 do
      for j:=1 to 8 do
        Board[i,j]:=0;
  {Matrise Ta Atamalar}
    for i:=1 to 8 do
      begin
        Board[i,2]:=11;{beyaz piyonlar}
        Board[i,7]:=1;{siyah piyonlar}
      end;
  {siyah talar iin hafzadaki matrise deger aktarma}
    Board[1,1]:=12;Board[8,1]:=12;
    Board[2,1]:=13;Board[7,1]:=13;
    Board[3,1]:=14;Board[6,1]:=14;
    Board[4,1]:=15;Board[5,1]:=16;
  {beyaz talar iin hafzadaki matrise deger aktarma}
    Board[1,8]:=2;Board[8,8]:=2;
    Board[2,8]:=3;Board[7,8]:=3;
    Board[3,8]:=4;Board[6,8]:=4;
    Board[4,8]:=5;Board[5,8]:=6;


  end;

end.